/*** Copyright: OGIHARA Takeshi, March 2006 ***/

#import "BitPattern.h"

@implementation BitPattern

- (id)initWithChar:(char)val
{
    [super init];
    value = val;
    return self;
}

- (unsigned int)length
{
    return 8;
}

- (unichar)characterAtIndex:(unsigned int)index
{
    return (value & (0x80 >> index)) ? '1' : '0';
}

@end
