/*** Copyright: OGIHARA Takeshi, March 2006 ***/

#import <Foundation/NSObject.h>
#import <Foundation/NSString.h>
#import <Foundation/NSFileHandle.h>
#import <Foundation/NSAutoreleasePool.h>
#import <stdio.h>

#define  PATH   @"./cluster2.m"

static void printClass(NSString *obj)
{
    printf("Class=%s,\tMember=%s,\tKind=%s\n",
        [NSStringFromClass([obj class]) UTF8String],
        [obj isMemberOfClass:[NSFileHandle class]] ? "YES" : "NO",
        [obj isKindOfClass:[NSFileHandle class]] ? "YES" : "NO"
    );
}

int main(void)
{
    id pool = [[NSAutoreleasePool alloc] init];

    printClass( [NSFileHandle fileHandleForReadingAtPath:PATH] );
    printClass( [NSFileHandle fileHandleWithStandardError] );
    printClass( [NSFileHandle fileHandleWithNullDevice] );

    [pool release];
    return 0;
}
