/*** Copyright: OGIHARA Takeshi, March 2006 ***/

#import <Foundation/NSObject.h>

@class NSPanel, NSNotification;

@interface MyInspector: NSObject
{
    NSPanel *panel;
    id text;
    BOOL isClosed;
}

+ (id)defaultInstance;
- (id)init;
- (void)dealloc;
- (void)activate;
- (void)showMain:(NSNotification *)aNotification;
- (void)windowClosed:(NSNotification *)aNotification;
- (void)shrink:(id)sender;
- (void)shrinkAll:(id)sender;

/* Delegate Messages */
- (void)windowDidBecomeKey:(NSNotification *)aNotification;
- (BOOL)windowShouldClose:(id)sender;
@end
