/*** Copyright: OGIHARA Takeshi, March 2006 ***/

#import <Foundation/NSObject.h>
#import <Foundation/NSString.h>
#import <Foundation/NSGeometry.h>

@class NSWindow, NSNotification;

extern NSString *ShrinkAllNotification;

@interface WinCtrl : NSObject
{
    NSString *filename;
    id docImage;
    NSSize originalSize;
    NSWindow *window;
    double mag;
}

+ (void)initialize;
+ (BOOL)autoResize;
+ (void)setAutoResize:(BOOL)flag;
- (id)initWithFile:(NSString *)path;
- (void)dealloc;
- (NSString *)attributesOfImage;
- (void)shrink:(NSNotification *)notification;

/* Delegate Messages */
- (BOOL)windowShouldClose:(id)sender;
- (void)windowWillClose:(NSNotification *)aNotification;
@end
