/*** Copyright: OGIHARA Takeshi, March 2006 ***/

#import <Foundation/NSObject.h>
#import <Foundation/NSArray.h>
#import <Foundation/NSString.h>
#import <Foundation/NSException.h>
#import <Foundation/NSAutoreleasePool.h>

int main(int argc, char *argv[])
{
    id pool = [[NSAutoreleasePool alloc] init];
    id array = [NSMutableArray arrayWithCapacity:2];    // empty array

    @try {
        if (argc == 1)
            array = [array objectAtIndex:1];  // NSRangeException
        else
            [array addObject:nil];            // NSInvalidArgumentException
        NSLog(@"success¥n");
    }
    @catch (NSException *ex) {
        NSString *name = [ex name];
        NSLog(@"Name: %@\n", name);
        NSLog(@"Reason: %@\n", [ex reason]);
        if ([name isEqualToString:NSRangeException])
            NSLog(@"Exception was caught successfully.\n");
        else
            [ex raise];    // raise the exception again
    }

    NSLog(@"main exit\n");
    [pool release];
    return 0;
}
