/*** Copyright: OGIHARA Takeshi, March 2006 ***/

#import <Foundation/NSObject.h>

@protocol NSLocking;

enum {
    phil_Meditation, phil_WaitRight, phil_Eating
};

@interface Philosopher : NSObject
{
    id <NSLocking> leftLock;
    id <NSLocking> rightLock;
    int tag;
    int state;
}

+ (void)initialize;
- (id)initWithLeft:(id <NSLocking>)llock right:(id <NSLocking>)rlock;
- (void)setTag:(int)val;
- (void)start:(id)sender;

@end
