/*** Copyright: OGIHARA Takeshi, March 2006 ***/

#import <Foundation/Foundation.h>
#import "UroRemotePiece.h"
#import "UroServer.h"

int main(int argc, char **argv)
{
    id piece;
    id pool = [[NSAutoreleasePool alloc] init];
    id ctrl = [NSConnection
        rootProxyForConnectionWithRegisteredName:ServerName host:@""];
    [ctrl setProtocolForProxy:@protocol(UroRemoteServices)];
    piece = [[UroRemotePiece alloc] initWithController:ctrl];
    if ([ctrl registerAsRemoteClient:piece]) // if registered successfully
        [[NSRunLoop currentRunLoop] run];
    [pool release];
    return 0;
}
