/*** Copyright: OGIHARA Takeshi, March 2006 ***/

#import <Foundation/Foundation.h>

int main(int argc, char **argv)
{
    static NSString *keyPaths[] = {
      @"list.requests.price",                                       // 1
      @"list.@unionOfArrays.requests.price",                        // 2
      @"list.@unionOfObjects.requests.@unionOfObjects.@sum.price",  // 3
      @"@distinctUnionOfArrays.list.requests.@unionOfArrays.device",// 4
      nil
    };
    int i;
    id pool = [[NSAutoreleasePool alloc] init];
    id path = [NSString stringWithCString:argv[1]
                  encoding:NSASCIIStringEncoding];
    id plist = [NSArray arrayWithContentsOfFile:path];

    for (i = 0; keyPaths[i]; i++)
        NSLog(@"%d: %@\n", i+1, [plist valueForKeyPath: keyPaths[i]]);
    [pool release];
    return 0;
}
