/*** Copyright: OGIHARA Takeshi, March 2006 ***/

#import <Foundation/NSObject.h>
#import <stdio.h>

long globalCount = 0;

@interface testObj : NSObject
- (int)testMethod;
@end

@implementation testObj
- (int)testMethod { return globalCount++; }
@end

int main(void)
{
    int i, v;
    id obj = [[testObj alloc] init];
    v = [obj testMethod];
    for (i = 0; i < 5000 * 1000; i++)
        v = globalCount++;
    return (v == 0);
}
