/*** Copyright: OGIHARA Takeshi, March 2006 ***/

#import <Foundation/NSObject.h>

@interface TwoWayList : NSObject <NSCopying, NSCoding>
{
    int        value;
    TwoWayList *prev;  // not retained
    TwoWayList *next;
}

- (id)initWithIntValue:(int)val;
- (void)dealloc;
- (void)addNewValue:(int)val;
- (id)next;
- (int)intValue;

@end
