/*** Copyright: OGIHARA Takeshi, March 2006 ***/

#import <Foundation/NSObject.h>

enum {
    phil_Meditation, phil_WaitRight, phil_Eating
};

@interface Philosopher : NSObject
{
    id leftLock;
    id rightLock;
    int tag;
    int state;
}

+ (void)initialize;
- (id)initWithLeft:(id)llock right:(id)rlock;
- (void)setTag:(int)val;
- (void)start:(id)sender;

@end
